Document Tracker
01/18/2024 12:10 PM - Junaid M

Status: Reopen Bugs Coding Done Start date: 01/18/2024
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Document Tracker

Description

Coding Document Tracker

History

#1 - 08/01/2024 02:52 PM - Anil KV

??7? It is required to Atleast one GDS should be selected in System settings->GDS->Active GDS for the working of this module.
[Remove the message]

Working Ref

-Set Next Doc No

-Set Document Code Format

-Set Document Code

-Add Column after Next No - Highest Value
-Add Column(Last) - Missing Numbers, Deleted Documents
*Active Document Count, Missing Document Count, Deleted Document Count

SQL Discus with anil
Ref:-https://www.db-fiddle.com/f/2VWyUD9YnFcFCMbJkfz6YS/0

Select m.remarks,
Count (d.status) filter (where d.status = 1) as statusl_cnt,
Count (d.status) filter (where d.status = 2) as status2_cnt,
Count (d.status) filter (where d.status = 3) as status3_cnt

From master m

Inner Join details d ON( d.m_id = m.m_id )

Group By m.remarks

SELECT fk_doc_no_generator_id,
MIN (vhr_document_code) AS vhr_document_code,
MIN (bin_number_part) AS bin_start_number,
MAX (bin_number_part) AS bin_end_number,
STRING_AGG (DISTINCT vhr_sys_module_name, ',') AS vhr_sys_module_names,
MAX (bin_last_number) AS bin_last_number,
MAX (bin_highest_number) AS bin_highest_number,

COUNT (int_sys_action_id) FILTER (WHERE int_sys_action_id != -1) AS bin_active_document_count,
COUNT (int_sys_action_id) FILTER (WHERE int_sys_action_id = -1) AS bin_deleted_document_count,

ARRAY_AGG (bin_number_part) AS arb_generated_doc_numbers
FROM (SELECT doc.fk_doc_no_generator_id,
doc.vhr_doc_no_code_part AS vhr_document_code,
doc.vhr_sys_module_name,
dog.pk_doc_no_generator_id,
dog.bin_last_number,
dog.bin_highest_number,
doc.bin_number_part,
doc.int_sys_action_id
FROM document.tbl_documents doc
INNER JOIN document.tbl_doc_no_generator dog
ON dog.pk_doc_no_generator_id = doc.fk_doc_no_generator_id
WHERE ...) AS tmp
GROUP BY fk_doc_no_generator_id

if missing count > 0
show
else
not show

#2 - 08/01/2024 03:04 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#3 - 08/02/2024 11:40 AM - Anonymous

- Assignee changed from travvise Admin to Augustin Jose

#4 - 08/02/2024 11:41 AM - Anonymous

- Assignee changed from Augustin Jose to Sarath Krishnan

#5 - 08/07/2024 11:17 AM - Anonymous
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#6 - 08/07/2024 11:38 AM - Sarath Krishnan
- Status changed from Coding Started to Ready for Coding
- % Done changed from 30 to 20

#7 - 08/07/2024 11:39 AM - Sarath Krishnan
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#8 - 08/19/2024 09:48 AM - Sarath Krishnan
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#9 - 08/20/2024 11:39 AM - Avinash MS

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Avinash MS

Issue Found

1) Missing Numbers are not shown in the table
2)Show Grid And Module Name In Print In Case Of No Data
3)Fix the issue in translation

#10 - 08/28/2024 01:56 PM - Sarath Krishnan

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#11 - 09/19/2024 05:37 PM - Arathy PS

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

Data should be showing while we click search button without entering data in any fields.

#12 - 09/20/2024 03:30 PM - Sarath Krishnan

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70
#13 - 12/30/2024 09:58 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By changed from Avinash MS to unnikannan S

ISSUE FIXED

1.Print Not Working

#14 - 12/31/2024 10:02 AM - Anil KV

- Assignee changed from Sarath Krishnan to Sreeranjini T

#15 - 12/31/2024 12:19 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
